Audacity: 自由而免费的声音编辑器和录音软件

广告政策

源码

系统配置要求

怎样编译Audacity

依赖性

wxWidgets 库是必需的。Audacity 2.0.6依赖于 wxGTK 2.8.12。 libsndfile 库也是必需的,可在Audacity SVN找到。其他库都是 可选安装

CMake是必需的,用于编译 libsoxr (现在是Audacity默认重采样库)。

如果你使用Apt或者RPM类的系统包管理器安装库,那么每个库都得选择 "dev" (开发)版。

编译

要编译Audacity,在Audacity源码目录下运行下列命令:

./configure && make

你可以输入 ./configure --help查看编译选项。在Audacity编译完成后,以管理员权限运行make install 安装它。

Those new to compiling are recommended to look at Compiling Audacity for Beginners. Information for Developers is at Developer Guide.